Package org.italiangrid.voms.store

# Interface Updateable

All Known Subinterfaces:
  `UpdatingVOMSTrustStore`

All Known Implementing Classes:
  `DefaultUpdatingVOMSTrustStore`

public interface Updateable
Represents an object which can be periodically updated according to an update frequency.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Cancels the future updates of this `Updateable` object.
`long`
`getUpdateFrequency()`
`void`
`update()`
Updates the object.

## Method Details

### getUpdateFrequency

long getUpdateFrequency()

Returns:
  the frequency (in milliseconds) currently set for this `Updateable` object.

### update

void update()
Updates the object.

### cancel

void cancel()
Cancels the future updates of this `Updateable` object.